# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

# END COPYRIGHT BLOCK
#!/bin/sh
#
# Filter out iWS shared library files in bin/https/bin/lib that already exist
# in the common directory <server-root>/lib.
#
# Usage $0 <iWS-source-lib-dir> <server-root-lib-dir>
#
if [ $# -ne 2 ]; then
   echo Usage: $0 \<iWS-source-lib-dir\> \<server-root-lib-dir\>
   exit 1
fi
 
if [ ! -d $1 ]; then
   echo $0: $1 does not exist
   exit 1
fi

if [ ! -d $2 ]; then
   echo $0: $2 does not exist
   exit 1
fi

cd $1;
for i in *.*; do
    if [ ! -f $2/$i ]; then 
        echo $i
    fi
done 
